package com.crm.manager.dao.mapper;

import com.crm.rely.backend.core.entity.base.BaseIbReportListEntity;
import com.crm.rely.backend.core.pojo.table.SalesDpsDwTable;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
@Mapper
public interface SalesDpsDwMapper {

    Integer countSearch(BaseIbReportListEntity entity);

    List<SalesDpsDwTable> listSearch(BaseIbReportListEntity entity);

    SalesDpsDwTable sumSearch(BaseIbReportListEntity entity);

}
